Skip to Content
veriom

Open CI setup pull request

Propose the keyless Veriom workflow as a draft pull request; a person merges it.

POST
/v1/workspaces/{workspace_id}/repositories/{repository_id}/ci-setup-pull-request

Propose the keyless Veriom workflow as a draft pull request; a person merges it.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
created*Created

False when an open setup pull request already existed.

draft?Draft

Always a draft: a person merges it.

Defaulttrue
number*Number
url*Url
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/ci-setup-pull-request'
Example Response
{  "created": true,  "draft": true,  "number": 0,  "url": "string"}